Package: org.grails.plugins.codecs

## [Groovy] Class Base64CodecExtensionMethods

- org.grails.plugins.codecs.Base64CodecExtensionMethods

-     class Base64CodecExtensionMethods
      extends java.lang.Object

  A codec that encodes and decodes Objects using Base64 encoding.

  Authors:
    Drew Varner

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Base64CodecExtensionMethods ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static java.lang.Object` | `decodeBase64(java.lang.Object theTarget)`
    `` | `static java.lang.Object` | `encodeAsBase64(java.lang.Object theTarget)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### Base64CodecExtensionMethods()

  - ### Method Detail

    - #### static java.lang.Object decodeBase64(java.lang.Object theTarget)

    - #### static java.lang.Object encodeAsBase64(java.lang.Object theTarget)